Subject: Postgres backend question...

From: Phil Shen <[email-masked]>
Date: Tue, 24 Nov 92 20:40:50 -0800

What would you recommend that I do when a query sent to the backend from
   monitor seems to be locked up?  (like the index creation that I tried to
   do)  How do I get out of monitor 'nicely', without leaving a process in
   the background?

   And if I DO break out of monitor, is there a command that will allow me
   to kill a process than seems to be still running in the background that 
   won't affect the Postmaster?  (the Unix 'kill' command seems to mess up
   Postmaster)

   Is there any protection against deadlocking or recursive queries which
   can overload the system?

   Thanks for your time and energy,
   Phil